Package org.apache.tapestry5.corelib.components

# Class LinkSubmit

java.lang.Object
org.apache.tapestry5.corelib.components.LinkSubmit

All Implemented Interfaces:
  `ClientElement`

@SupportsInformalParameters @Events("selected by default, may be overridden") @Import(module="t5/core/forms") public class LinkSubmit extends Object implements ClientElement
Generates a client-side hyperlink that submits the enclosing form. If the link is clicked in the browser, the component will trigger an event (selected by default) , just like `Submit`.

Component Parameters
Name | Type | Flags | Default | Default Prefix
--- | --- | --- | --- | ---
context | Object[] | Since 5.2.0 |  | prop
The list of values that will be made available to event handler method of this component when the form is submitted.
defer | boolean |  |  | prop
If true (the default), then any notification sent by the component will be deferred until the end of the form submission (this is usually desirable). In general, this can be left as the default except when the LinkSubmit component is rendering inside a Loop, in which case defer should be bound to false (otherwise, the event context will always be the final value of the Loop).
disabled | boolean |  |  | prop
If true, then no link (or accompanying JavaScript) is written (though the body still is).
event | String | Not Null |  | literal
The name of the event that will be triggered if this component is the cause of the form submission. The default is "selected".
mode | org.apache.tapestry5.corelib.SubmitMode | Not Null |  | literal
Defines the mode, or client-side behavior, for the submit. The default is SubmitMode#NORMAL; clicking the button submits the form with validation. SubmitMode#CANCEL indicates the form should be submitted as a cancel, with no client-side validation. SubmitMode#UNCONDITIONAL bypasses client-side validation, but does not indicate that the form was cancelled.

Component Events
Name | Description
--- | ---
selected | by default, may be overridden

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkSubmit()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getClientId()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LinkSubmit

    public LinkSubmit()

- ## Method Details

  - ### getClientId

    public String getClientId()
    Specified by:
      `getClientId` in interface `ClientElement`
    Returns:
      a unique id for the element. This value will be unique for any given rendering of a page. This value is intended for use as the id attribute of the client-side element, and will be used with any DHTML/Ajax related JavaScript.